@import "normalize";

html,
body {
    width: 100%;
    height: 100%;
}

h1,h2,h3,h4,h5,p,div {
    font-family: 'Open Sans', sans-serif;
}

input, button, textarea, button[disabled=disabled] {
    cursor: pointer;
}

input:focus,
textarea:focus {
    background: darken(#ffffff, 6);
}

.header {
    .header-logo {
        text-align: center;
        margin-top: 15px;
     
        svg {
            width: 200px;
            height: auto;
        }
    }
    
}

.header-nav {
    
    a{
        color: #000;
        margin-right: 5px;
    }
    &--upper__parent,
    &--lower__parent {
        text-align: center;
        padding-left: 0;
    }
    
    &--upper__child,
    &--lower__child {
        display: inline-block; 
        text-align: right;
        cursor: pointer;
        
    }
    
    &--upper__parent {
        margin-top: 10px;
        margin-bottom: 0;
    }

    &--upper__child {
        font-size: 12px;
        padding: 5px;
    }

    &--lower__parent {
        margin-bottom: 10px;
    }

    &--lower__child {
        font-size: 14px; 
        padding: 5px 10px 0 0;
    }
}
#masthead {

    overflow: hidden;
    max-height: 800px;
    position: relative;

    .slider-arrow {
        position: absolute;
        top: 50%;
        z-index: 1;
        color: #efefef;
        
        &__left {
            left: 5%;
        }
        &__right {
            right: 5%;
        }
    }

    .slide {
        height: 500px;
        width: 100vw;
        overflow: hidden;
        
      }

    .slick-slide {
        position: relative;
        display: inline-block;
        
        }
        .caption {
        
            position: absolute;
            right: 30%;
            top: 30%;
            height: 100%;
            width: 45%;
            color: #fff;
            font-weight: bold;
            text-align: center;
            font-size: 5vh;
            z-index: 99;
            
            &--overlay {
                background-color: rgba(0,0,0, 0.2);
                height: 100%;
                width: 100%;
                position: absolute;
                left: 0;
                top: 0;
            }
        }
        
        .slide--has-caption:hover .caption {
        visibility: visible!important;
        opacity: 1;
        cursor: pointer;
        pointer-events: none;
        z-index: 2;
         
        }
      
}

#content {

    .content {

        &--left {
            padding: 80px 20px;
            text-align: center;
            position: relative;            
            h2 {
                font-size: 40px;
                letter-spacing: 1px;
                
            }
            p {
                line-height: 1.8;
            }
        }

        &--right {
            position: absolute;
            display: block;
            top: -10%;
            right: -70%;
            
            
            div {
                width: 350px;
                padding-bottom: 100%;    
                background-size: 180% 100%;
                background-position-x: -122px;
            }
        }
    }
}
#about {
    background-color: #EFEFEF;
    padding: 40px 0;

    h2 {
        text-align: center;
        margin-top: 60px;
        margin-bottom: 50px;
        font-size: 40px;
        color: #f35b2d;
    }

    .image-grid {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
        justify-content: center;

        padding: 10px 0; 
        list-style: none;
        text-align: center;

        &--label {
                position: absolute;
                width: 100%;
                background-color: #f35b2d;
                padding: 10px;
                bottom: 0;
                left: 0;
        }
        &--item {
            display: inline-block;
            width: 90%;

            &__container {
                position: relative;
                margin-bottom: 20px;
                margin-right: 10px;
            }

            &__image:hover > .image-grid--item__wrapper {
                opacity:1;
                top: 0 !important;
                display: flex; 
            }

            &__image {
                padding-bottom: 120%;
                color: #fff;
                background-color: #999;
                background-size: cover;
                margin: 0 auto;

                
            }

            &__wrapper {

                position: absolute;
                justify-content: center;
                align-content: center;
                flex-direction: column;
                background-color: rgba(243, 91, 45, 0.97);
                top: 2px;
                left: 0;
                opacity: 0;
                display: none;
                color: #fff;
                width: 100%;
                height: 100%;
                padding: 10px;
                cursor: default;

                & > div {
                    margin-bottom: 20px;
                    font-size: 22px;
                }


                & > button {
                    background-color: #fff;
                    border-radius: 5px;
                    color: #000;
                    min-height: 55px;
                    font-weight: bold;
                    width: 70%;
                    margin: 0 auto;
                    border: none;
                    
                    &:hover {
                        background-color: #EFEFEF;
                    }
                }

                
            }

            
        }
    }
}
#cta {
    background-color: #999;
    background-image: url('../imgs/cta-1.png');
    padding-top: 100px;
    padding-bottom: 100px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 60%;

    .cta-row {
        
        list-style: none;
        display: inline-block;
        width: 100%;
        margin-top: 60px;
    
        &--item {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #fff;
            border-radius: 2px;
            margin-right: 20px;
            margin-bottom:60px;
            vertical-align: middle;
            text-align: center;
            height: 80px;
            box-shadow: 2px 2px 4px rgba(0,0,0,0.3);

            i {
                position: absolute;
                text-align: center;
                margin: 0 auto;
                display: block;
                top: -30px;
                background: #fff;
                color: #f35b2d;
                border-radius: 70%;
                padding: 7px;
                width: 54px;
                
            }
    
            div {   

                margin-top: 0px;
                z-index: 999;
            }
        }
    }
}
#client {
    padding-top: 40px;
    padding-bottom: 40px;
    h2 {
        text-align: center;
    }
    .client-grid {
        padding-left: 0;
        list-style: none;
        
        &--item {
            width: 50%;
            margin-left: -4px;
            display: inline-block;
            text-align: center;
            padding: 10px 20px;

            &:first-of-type {
                    
                img{
                    
                    width: 90px;
                }
            }
            
            img {
                width: 100px;
            
                
            } 
        }
    
    }

}

#booking {
    display: inline-block;
    margin-bottom: -4px;
    width: 100%;

    .booking-testimonial {

        position: relative;
        
        background-color: #f35b2d;
        background-image: url('../imgs/booking-1.png');
        background-size: cover;
        background-repeat: no-repeat;
        color: #fff;
        text-align: center;

        &__content {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            display: block;
            background-color: rgba(0,0,0,0.5);
            padding-top: 20%
        }

        blockquote {
            text-decoration: none;
            border-left: 0;
            font-weight: 600;
            font-style: italic;

            &:before {
                content: "\f10d";
                font-family: fontawesome;
                font-weight: 300;
                font-style: normal;
                position: absolute;
                left: 40px;
                top: 20px;
                font-size: 60px;
            }

            &:after {
                content: "\f10e";
                font-family: fontawesome;
                font-weight: 300;
                font-style: normal;
                position: absolute;
                right: 40px;
                bottom: 10px;
                font-size: 60px;
            }
        }
    }

    .booking-form {
        display: block;
        padding: 100px 80px;
        background-color: #043c6f;
        color: #fff;

        h2 {
            margin-bottom: 20px;
            text-align: center;
        }

        input {
            border-radius: 5px;
            border: none;
            color: #000;
            padding: 15px 10px;
            margin-bottom: 12px;
            margin-left: -4px;
            width: 100%;
            
        }

        input:first-of-type{
            margin-right: 12px;
        }

        textarea {
            width: 100%;
            color: #000;
            border-radius: 5px;
            margin-left: -4px;
            margin-bottom: 10px;
            padding: 10px;
        }

        button {
            border-radius: 5px;
            background-color: #f35b2d;
            border: none;
            display: block;
            width: 100%;
            padding: 15px 10px;
            margin-left: -4px;
            font-weight: bold;
            font-size: 16px;

            &:hover {
                background-color: darken(#f35b2d, 5);
            }
        }
    }
}


#footer {
    border-top: 2px solid #f35b2d;
    background-color: #000;
    margin-top: -1px;
    text-align: center;
    padding: 20px;
    color: #fff;
    z-index: 999;
    
    h4 {
        font-weight: 600;
    }
    
    .footer-nav {
        
        &--parent {
            list-style: none;
            padding-left: 0;
        }
        
        &--child {
            display: inline-block;
            margin-right: 20px;
            font-size: 12px;
            position: relative;
            cursor: pointer;

            &:after {
                content: "-";
                position: absolute;
                right: -15px;

            }

            &:last-of-type:after {
                content: ""
            }
        }
    }

    .footer-subscribe {
        margin-top: 40px;

        h4 {
            margin-bottom: 20px;
        }
        
        input {
            display: block;
            margin: 10px auto;
            color: #333;
            padding: 10px;
            border-radius: 5px;
            border: none;
            //margin-right: 20px;
            margin-bottom: 10px;
            width: 80%;
            max-width: 300px;
            
        }

        button {
            background: #f35b2d;
            padding: 10px 40px;
            color: #fff;
            border-radius: 5px;
            border: none;
            
            &:hover {
                background-color: darken(#f35b2d, 5);
            }
        }

    }

    .footer-colophon {
        margin-top: 20px;

        &--parent {
            padding-left: 0;
            list-style: none;
        }
        &--child {
            display: inline-block;
        }
    }
}


// Helpers



@media (min-width: 576px) { 
    #about .image-grid--item {
        width: 60%;
    }
 }

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) { 
    .header {

        .header-logo {
            text-align: left;
        }
    }

    .header-nav {

        &--upper__parent,
        &--lower__parent {
            text-align: right;
        }

        &--lower__parent {
            margin-top: 10px;
            margin-bottom: 0;
        }

    }
    #masthead {

        .slide {
            img {
                width: 100%;
            }
        }
    
    }
    
    #content {
        .content {
            &--left {
                padding: 20px 20px;

                
                
            }
        }
    }
    #about {
        .image-grid--item{
        
            width: 50%;
        }
        
        .image-grid--item__wrapper {
        
            padding: 42% 10px;
        }
    }
    #booking {
        .booking-form{
            input {
                width: 49%; 
                margin-left: -4px;
            }
        }

        blockquote {
            padding: 10px 60px;
        }
    }
    #client {

        .client-grid {
            
            &--item {
                width: 20%;
            }
        }
    }
    #footer {
        .footer-subscribe {
            input {
                display: inline-block;
                margin-right: 10px;
                width: 33.3%;
            }
        }

    }





 }

// Large devices (desktops, 992px and up)
@media (min-width: 992px) { 
    #booking {
        .booking-form{
            input {
                width: 48%; 
                margin-left: -4px;
            }
        }
    }

    #content {
        .content {
            
            &--left {
                text-align: left;
                
            }
            &--right {
                div {
                    padding-bottom: 120%;
                }
            }
        }
    }

    #cta {
        .cta-row {
            &--item {
                div {
                    margin-top: 20px;
                }
            }
        }
    }

    #about .image-grid--item {
        width: 33.3%;
    }
    
 }

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) { 

    #booking {
        .booking-form{
            input {
                width: 49%; 
                margin-left: -4px;
            }
        }
    }

    #content {
        .content {
            &--left {
                padding: 60px 20px;

                h2 {
                    margin-top: 0;
                }
                
            }
            &--right {
                    right: -70%; 
            }
        }
    }

    #about {
        .image-grid--item__wrapper {
            padding: 42.75% 10px;
        }
    }
 }